.TH mfplot G "May 1997" "G. Ortega" "Scilab Function"
.so ../sci.an
.SH NAME
mfplot -  plot the membership functions defined on a fuzzy matrix 
.SH CALLING SEQUENCE
.nf
mfplot(A,U)
mfplot(A,U,B,V)
mfplot(A1,U1,...,A4,U4,B,V)
.fi
.SH PARAMETERS
.TP
A 
: real matrix, matrix of fuzzy value
.TP
U  
: real matrix, Universe
.TP
Ai
: real matrix
.TP
Ui  
: real matrix
.TP
B
: real matrix
.TP
V
: real matrix
.SH DESCRIPTION
plots the membership functions defined on a fuzzy matrix of
fuzzy value  A over universe U, or more general, to plot the
rules given for a rule base with maximum 4 input and one output
this command can be used.
.LP
It is to be noted that the maximum number of rules can't exceed
9 rules
.SH AUTHOR
Created for MATLAB by 
(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
.LP
Translated to SCILAB 
by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 25-07-96



