.TH sigmoid G "May 1997" "G. Ortega" "Scilab Function"
.so ../sci.an
.SH NAME
sigmoid -  Sigmoidal membership function with two parameters
.SH CALLING SEQUENCE
.nf
Y = sigmoid(X [,a [,c]])
.fi
.SH PARAMETERS
.TP
X 
: real matrix
.TP
a  
: real scalar, default value=1.
.TP
c  
: real scalar, default value=0.
.TP
Y 
: real matrix
.SH DESCRIPTION
Returns a matrix Y with the same size as X; each element
of Y is a grade of membership. Defults value for a and c
are 1 and 0 respectively.
Y = 1/(1+exp(-a*(X-c)));
.SH AUTHORS
Copyright (c) 1993 Jyh-Shing Roger Jang, U. C. Berkeley
jang@eecs.berkeley.edu
(Tested on Matlab version 4.0a, HP workstation)
Permission is granted to modify and re-distribute this code
in any manner as long as this notice is preserved.
All standard disclaimers apply.
.LP
Created for MATLAB by 
(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
.LP
Translated to SCILAB 
by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 25-07-96
.SH SEE ALSO
 bell_2, sigmoid, trapeze, mf_panel





