.TH trapeze G "May 1997" "G. Ortega" "Scilab Function"
.so ../sci.an
.SH NAME
trapeze -  trapezoidal shape membership function with two parameters
.SH CALLING SEQUENCE
.nf
Y = trapeze(X [,a [,b [,c]]])
.fi
.SH PARAMETERS
.TP
X 
: real matrix
.TP
a  
: real scalar, default value=1.
.TP
b  
: real scalar, default value=0.
.TP
c  
: real scalar, default value=0.
.TP
Y 
: real matrix
.SH DESCRIPTION
Membership function for matrix X will be drawn using a
trapezoidal shape.
Where a, b and c are slope, flatness and center of trapezoidal.
Defaults value for c and b and a are 0, 0 and 1 respectively.
.SH AUTHORS
Created for MATLAB by 
(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
.LP
Translated to SCILAB 
by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 25-07-96
.SH SEE ALSO
bell_1, bell_2, sigmoid, mf_panel





