.TH union G "May 1997" "G. Ortega" "Scilab Function"
.so ../sci.an
.SH NAME
union -  The union of matrices of fuzzy values over the same universe
.SH CALLING SEQUENCE
.nf
A1A2 = union(A1,A2)
.fi
.SH PARAMETERS
.TP
A1 
: real matrix, membership function
.TP
A2 
: real matrix, membership function
.TP
A1A2
: real matrix, membership function.
.SH DESCRIPTION
Computes the union of matrix of fuzzy values A1 and A2 over the
same universe.

 Matrices A1 and A2 are matrices of membership functions. Output of
this  function is result grade of membership function A1&A2 over
 the same universe.
.SH AUTHOR
Created for MATLAB by 
(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
.LP
Translated to SCILAB 
by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 25-07-96
.SH SEE ALSO
intersec, comple


